Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMatthias Sohn2014-02-13 18:27:06 -0500
committerMatthias Sohn2014-02-13 18:55:22 -0500
commitb6c38fdf9ef24e40d7f5a4c7d64cd638a2a3588d (patch)
treea387752bf2394f92ce024f00092f83473d3aa0aa
parentce4b86e14088f51faa1a8d3028d5fb52089d4a19 (diff)
downloadegit-github-b6c38fdf9ef24e40d7f5a4c7d64cd638a2a3588d.tar.gz
egit-github-b6c38fdf9ef24e40d7f5a4c7d64cd638a2a3588d.tar.xz
egit-github-b6c38fdf9ef24e40d7f5a4c7d64cd638a2a3588d.zip
Relax EGit dependencies to allow versions in range [3.2,4.0)
-rw-r--r--org.eclipse.mylyn.github.core/META-INF/MANIFEST.MF14
-rw-r--r--org.eclipse.mylyn.github.ui/META-INF/MANIFEST.MF38
2 files changed, 26 insertions, 26 deletions
diff --git a/org.eclipse.mylyn.github.core/META-INF/MANIFEST.MF b/org.eclipse.mylyn.github.core/META-INF/MANIFEST.MF
index ebeffd37..79630617 100644
--- a/org.eclipse.mylyn.github.core/META-INF/MANIFEST.MF
+++ b/org.eclipse.mylyn.github.core/META-INF/MANIFEST.MF
@@ -13,10 +13,10 @@ Export-Package: org.eclipse.mylyn.internal.github.core;version="3.3.0";x-friends
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.5.0,4.0.0)",
org.eclipse.mylyn.tasks.core;bundle-version="[3.4.0,4.0.0)",
org.eclipse.mylyn.commons.net;bundle-version="[3.4.0,4.0.0)"
-Import-Package: org.eclipse.egit.core;version="[3.3.0,3.4.0)",
- org.eclipse.egit.github.core;version="[3.3.0,3.4.0)",
- org.eclipse.egit.github.core.client;version="[3.3.0,3.4.0)",
- org.eclipse.egit.github.core.service;version="[3.3.0,3.4.0)",
- org.eclipse.egit.github.core.util;version="[3.3.0,3.4.0)",
- org.eclipse.jgit.lib;version="[3.3.0,3.4.0)",
- org.eclipse.jgit.transport;version="[3.3.0,3.4.0)"
+Import-Package: org.eclipse.egit.core;version="[3.0.0,4.0.0)",
+ org.eclipse.egit.github.core;version="[3.2.0,3.4.0)",
+ org.eclipse.egit.github.core.client;version="[3.2.0,3.4.0)",
+ org.eclipse.egit.github.core.service;version="[3.2.0,3.4.0)",
+ org.eclipse.egit.github.core.util;version="[3.2.0,3.4.0)",
+ org.eclipse.jgit.lib;version="[3.2.0,4.0.0)",
+ org.eclipse.jgit.transport;version="[3.2.0,4.0.0)"
diff --git a/org.eclipse.mylyn.github.ui/META-INF/MANIFEST.MF b/org.eclipse.mylyn.github.ui/META-INF/MANIFEST.MF
index 382b5a10..28479fde 100644
--- a/org.eclipse.mylyn.github.ui/META-INF/MANIFEST.MF
+++ b/org.eclipse.mylyn.github.ui/META-INF/MANIFEST.MF
@@ -27,25 +27,25 @@ Export-Package: org.eclipse.mylyn.internal.github.ui;version="3.3.0";x-internal:
org.eclipse.mylyn.internal.github.ui.gist;version="3.3.0";x-internal:=true,
org.eclipse.mylyn.internal.github.ui.issue;version="3.3.0";x-internal:=true
Bundle-ActivationPolicy: lazy
-Import-Package: org.eclipse.egit.core;version="[3.3.0,3.4.0)",
- org.eclipse.egit.core.op;version="[3.3.0,3.4.0)",
- org.eclipse.egit.github.core;version="[3.3.0,3.4.0)",
- org.eclipse.egit.github.core.client;version="[3.3.0,3.4.0)",
- org.eclipse.egit.github.core.service;version="[3.3.0,3.4.0)",
- org.eclipse.egit.github.core.util;version="[3.3.0,3.4.0)",
- org.eclipse.egit.ui;version="[3.3.0,3.4.0)",
- org.eclipse.egit.ui.internal;version="[3.3.0,3.4.0)",
- org.eclipse.egit.ui.internal.branch;version="[3.3.0,3.4.0)",
- org.eclipse.egit.ui.internal.commit;version="[3.3.0,3.4.0)",
- org.eclipse.egit.ui.internal.fetch;version="[3.3.0,3.4.0)",
- org.eclipse.egit.ui.internal.provisional.wizards;version="[3.3.0,3.4.0)",
- org.eclipse.egit.ui.internal.pull;version="[3.3.0,3.4.0)",
- org.eclipse.jgit.errors;version="[3.3.0,3.4.0)",
- org.eclipse.jgit.lib;version="[3.3.0,3.4.0)",
- org.eclipse.jgit.revwalk;version="[3.3.0,3.4.0)",
- org.eclipse.jgit.transport;version="[3.3.0,3.4.0)",
- org.eclipse.jgit.treewalk;version="[3.3.0,3.4.0)",
- org.eclipse.jgit.treewalk.filter;version="[3.3.0,3.4.0)",
+Import-Package: org.eclipse.egit.core;version="[3.2.0,4.0.0)",
+ org.eclipse.egit.core.op;version="[3.2.0,4.0.0)",
+ org.eclipse.egit.github.core;version="[3.2.0,3.4.0)",
+ org.eclipse.egit.github.core.client;version="[3.2.0,3.4.0)",
+ org.eclipse.egit.github.core.service;version="[3.2.0,3.4.0)",
+ org.eclipse.egit.github.core.util;version="[3.2.0,3.4.0)",
+ org.eclipse.egit.ui;version="[3.2.0,3.4.0)",
+ org.eclipse.egit.ui.internal;version="[3.2.0,4.0.0)",
+ org.eclipse.egit.ui.internal.branch;version="[3.2.0,4.0.0)",
+ org.eclipse.egit.ui.internal.commit;version="[3.2.0,4.0.0)",
+ org.eclipse.egit.ui.internal.fetch;version="[3.2.0,4.0.0)",
+ org.eclipse.egit.ui.internal.provisional.wizards;version="[3.2.0,4.0.0)",
+ org.eclipse.egit.ui.internal.pull;version="[3.2.0,4.0.0)",
+ org.eclipse.jgit.errors;version="[3.2.0,4.0.0)",
+ org.eclipse.jgit.lib;version="[3.2.0,4.0.0)",
+ org.eclipse.jgit.revwalk;version="[3.2.0,4.0.0)",
+ org.eclipse.jgit.transport;version="[3.2.0,4.0.0)",
+ org.eclipse.jgit.treewalk;version="[3.2.0,4.0.0)",
+ org.eclipse.jgit.treewalk.filter;version="[3.2.0,4.0.0)",
org.eclipse.mylyn.internal.github.core;version="[3.3.0,3.4.0)",
org.eclipse.mylyn.internal.github.core.gist;version="[3.3.0,3.4.0)",
org.eclipse.mylyn.internal.github.core.issue;version="[3.3.0,3.4.0)",

Back to the top